// @requires $tiny, $small, $medium, $large
@mixin drk-breakpoint($breakpoint) {
    @if $breakpoint == tiny {
        @media (max-width: $tiny) {
            @content;
        }
    } @else if $breakpoint == small {
        @media (max-width: $small) {
            @content;
        }
    } @else if $breakpoint == medium {
        @media (max-width: $medium) {
            @content;
        }
    } @else if $breakpoint == large {
        @media (max-width: $large) {
            @content;
        }
    } @else if $breakpoint == huge {
        @media (min-width: $large + 1) {
            @content;
        }
    } @else if $breakpoint == print {
        @media print {
            @content;
        }
    }
}
